Package org.opentcs.data.model.visualization

# Class LayerGroup

java.lang.Object
org.opentcs.data.model.visualization.LayerGroup

All Implemented Interfaces:
  `java.io.Serializable`

    public class LayerGroup
    extends java.lang.Object
    implements java.io.Serializable

Describes a layer group in a plant model.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `LayerGroup​(int id, java.lang.String name, boolean visible)` | Creates a new instance.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getId()` | Returns the unique ID of this layer group.
  `java.lang.String` | `getName()` | Returns the name of this layer group.
  `boolean` | `isVisible()` | Returns whether this layer group is visible or not.
  `java.lang.String` | `toString()` |
  `LayerGroup` | `withName​(java.lang.String name)` | Creates a copy of this object, with the given name.
  `LayerGroup` | `withVisible​(boolean visible)` | Creates a copy of this object, with the given visible state.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LayerGroup

    public LayerGroup​(int id, java.lang.String name, boolean visible)
    Creates a new instance.
    Parameters:
      `id` - The unique ID of the layer group.
      `name` - The name of the layer group.
      `visible` - Whether the layer group is visible or not.

- ## Method Details

  - ### getId

    public int getId()
    Returns the unique ID of this layer group.
    Returns:
      The unique Id of this layer group.

  - ### isVisible

    public boolean isVisible()
    Returns whether this layer group is visible or not.
    Returns:
      Whether this layer group is visible or not.

  - ### withVisible

    public LayerGroup withVisible​(boolean visible)
    Creates a copy of this object, with the given visible state.
    Parameters:
      `visible` - The value to be set in the copy.
    Returns:
      A copy of this object, differing in the given value.

  - ### getName

    public java.lang.String getName()
    Returns the name of this layer group.
    Returns:
      The name of this layer group.

  - ### withName

    public LayerGroup withName​(java.lang.String name)
    Creates a copy of this object, with the given name.
    Parameters:
      `name` - The value to be set in the copy.
    Returns:
      A copy of this object, differing in the given value.

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`